com.hazelcast.instance

## Class DefaultNodeContext

- java.lang.Object
- - com.hazelcast.instance.DefaultNodeContext

- All Implemented Interfaces:
    NodeContext

      @PrivateApi
      public class DefaultNodeContext
      extends Object
      implements NodeContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<String>` | `EXTENSION_PRIORITY_LIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultNodeContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddressPicker` | `createAddressPicker(Node node)`
    `Joiner` | `createJoiner(Node node)`
    `NetworkingService` | `createNetworkingService(Node node, com.hazelcast.internal.networking.ServerSocketRegistry registry)`
    `NodeExtension` | `createNodeExtension(Node node)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXTENSION_PRIORITY_LIST

          public static final List<String> EXTENSION_PRIORITY_LIST

  - ### Constructor Detail

    - #### DefaultNodeContext

          public DefaultNodeContext()

  - ### Method Detail

    - #### createNodeExtension

          public NodeExtension createNodeExtension(Node node)

      Specified by:
        `createNodeExtension` in interface `NodeContext`

    - #### createAddressPicker

          public AddressPicker createAddressPicker(Node node)

      Specified by:
        `createAddressPicker` in interface `NodeContext`

    - #### createJoiner

          public Joiner createJoiner(Node node)

      Specified by:
        `createJoiner` in interface `NodeContext`

    - #### createNetworkingService

          public NetworkingService createNetworkingService(Node node,
                                                           com.hazelcast.internal.networking.ServerSocketRegistry registry)

      Specified by:
        `createNetworkingService` in interface `NodeContext`

Copyright © 2019. All rights reserved.